Name:		smokegen
Summary:	Scripting MetaObject Kompiler Engine tools
Version: 4.9.3
Release: 1
Epoch:		1
Group:		Graphical desktop/KDE
License:	GPL
URL:		http://www.kde.org
Source:		ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	kdelibs4-devel >= 2:%{version}

%description
SMOKE provides infrastructure which is used for creating bindings for
multiple languages such as Ruby, C# and PHP.

This package contains the development tools to do bindings with the
Scripting MetaObject Kompiler Engine, used by several Qt and KDE bindings,
as well as some bindings for the Wt library.

#------------------------------------------------------------

%define libsmokebase_major 3
%define libsmokebase %mklibname smokebase %{libsmokebase_major}

%package -n %{libsmokebase}
Summary:	smokegen Library
Group:		Development/KDE and Qt
Conflicts:	%{_lib}smokeqt3 <= 1:4.5.80-1

%description -n %{libsmokebase}
smokegen Library

%files -n %{libsmokebase}
%{_kde_libdir}/libsmokebase.so.%{libsmokebase_major}*

#------------------------------------------------------------

%package devel
Summary:	Header files for %{name}
Group:		Development/KDE and Qt
Conflicts:	smoke4-devel < 1:4.6.90
Requires:	kdelibs4-devel >= 2:%{version}
Requires:	%{libsmokebase} = %{EVRD}

%description devel
Header files for %{name}

%files devel
%{_kde_bindir}/smokegen
%{_kde_bindir}/smokeapi
%{_kde_libdir}/libcppparser.so
%{_kde_libdir}/libsmokebase.so
%{_kde_includedir}/smokegen/generatorenvironment.h
%{_kde_includedir}/smokegen/generator_export.h
%{_kde_includedir}/smokegen/generatorpreprocessor.h
%{_kde_includedir}/smokegen/generatorvisitor.h
%{_kde_includedir}/smokegen/name_compiler.h
%{_kde_includedir}/smokegen/options.h
%{_kde_includedir}/smokegen/type_compiler.h
%{_kde_includedir}/smokegen/type.h
%{_kde_includedir}/smoke.h
%{_kde_datadir}/smokegen
%{_kde_libdir}/smokegen/generator_smoke.so
%{_kde_libdir}/smokegen/generator_dump.so
%{_kde_datadir}/smoke/cmake/SmokeConfig.cmake
%{_kde_datadir}/smoke/cmake/FindLibraryWithDebug.cmake
%{_kde_datadir}/smoke/cmake/FindPhonon.cmake
%{_kde_datadir}/smoke/cmake/FindQImageBlitz.cmake
%{_kde_datadir}/smoke/cmake/FindQScintilla.cmake
%{_kde_datadir}/smoke/cmake/FindQwt5.cmake
%{_kde_datadir}/smoke/cmake/HandleImportedTargetsInCMakeRequiredLibraries.cmake
%{_kde_datadir}/smoke/cmake/MacroLogFeature.cmake
%{_kde_datadir}/smoke/cmake/MacroOptionalAddBindings.cmake
%{_kde_datadir}/smoke/cmake/MacroOptionalFindPackage.cmake
%{_kde_datadir}/smoke/cmake/SmokeVersionConfig.cmake

#------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build



%changelog
* Wed Nov 07 2012 Crispin Boylan <crisb@mandriva.org> 1:4.9.3-1
+ Revision: 822063
- New release

* Wed Oct 03 2012 Crispin Boylan <crisb@mandriva.org> 1:4.9.2-1
+ Revision: 818187
- New release

* Fri Aug 03 2012 Crispin Boylan <crisb@mandriva.org> 1:4.9.0-1
+ Revision: 811682
- New release
- New release

* Sun Jul 15 2012 Crispin Boylan <crisb@mandriva.org> 1:4.8.97-1
+ Revision: 809325
- New release

* Fri Jun 08 2012 Crispin Boylan <crisb@mandriva.org> 1:4.8.4-1
+ Revision: 803579
- New release

* Sun May 06 2012 Andrey Bondrov <abondrov@mandriva.org> 1:4.8.3-2
+ Revision: 796919
- Update summary and description, spec cosmetics

* Fri May 04 2012 Crispin Boylan <crisb@mandriva.org> 1:4.8.3-1
+ Revision: 795828
- New release

* Wed Apr 18 2012 Crispin Boylan <crisb@mandriva.org> 1:4.8.2-1
+ Revision: 791795
- New release

* Wed Mar 07 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.8.1-1
+ Revision: 782891
- New upstream tarball

* Thu Jan 19 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.8.0-1
+ Revision: 762505
- New upstream tarball

* Fri Jan 06 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.7.97-1
+ Revision: 758090
- New upstream tarball

* Thu Dec 22 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.7.95-1
+ Revision: 744569
- New upstream tarball

* Fri Dec 09 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.7.90-1
+ Revision: 739324
- New upstream tarball $NEW_VERSION

* Sat Nov 19 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.7.80-1
+ Revision: 731841
- New upstream tarball 4.7.80

* Fri Aug 26 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.7.41-1
+ Revision: 697175
- New version 4.7.41

* Mon Aug 01 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.7.40-1
+ Revision: 692623
- Fix file list
- import smokegen

